function R  = calc_concatenated_R(Rp);
%% calculate uncertain concatenated rotation R = R2 * R1
%
% Rp   rotation pair, Rp.Rp=[R1,R2] = [3x6], Rp.Cp = [6x6]
%
% R    [3x3] concatenated rotation, R.R , R.C
%
% wf 5/2020

% adjoint rotyation matrix
R2  = Rp.Rp(:,4:6);
% concatenated mean
R.R = R2 * Rp.Rp(:,1:3);
% Jacobian and CovM
J   = [R2 eye(3)];
R.C = J * Rp.Cp * J';

return
