%% calc_s_from_A for exponential representation of motion
%
% A     [4x4] matrix, [S(s(1:3) s(4:6); 0 0 0 0]
%
% s     6-vector, twist
%
% wf 6/2020

function s = calc_s_from_A(A)

% rotation component
s(1:3) = calc_v_from_S(A(1:3,1:3));
% translation component
s(4:6) = A(1:3,4);
% twist vector
s=s(:);

return