%% calc_z_from_M_M0 for partially exponential representation of motion
%
% assumption: zeta is small, approximation V(r) = I_3
%
% M       4x4 matrix, motion
% M0      4x4 reference motion matrix
%
% zeta    6-vector, twist
%
% wf 6/2020

function zeta = calc_z_from_M_M0(M,M0)

% calculate small motion matrix
M_iM0 = M*inv(M0);
% rotation from upper left
zeta(1:3) = calc_v_from_S(M_iM0(1:3,1:3));
% translation from differential of upper right
zeta(4:6) = M(1:3,4)-M0(1:3,4);
% twist
zeta=zeta(:);

return